$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ToolsDir = Split-Path -parent $MyInvocation.MyCommand.Definition

$PackageArgs = @{
  PackageName   = $PackageName
  FileType      = 'exe'
  File64        = Get-Item $(Join-Path $ToolsDir "Nyrna-Windows-Installer.exe")

  SoftwareName  = 'nyrna*'

  Checksum      = "8b2fd8d55d40c4592aa4d973bf9d56c2fc89932746ae8b8e944c7bb75106d28fe89b771a68284543ce0e29d88a076d78543b1d5b07ba909100db0c568ce5b7be"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0, 1223)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Remove-Item $(Get-Item $(Join-Path $ToolsDir "Nyrna-Windows-Installer.exe"))

Write-Host "$PackageName registered as $App"